Subject: Re: offering a patch- was [Setup feature query/suggestion!]
From: "C" <[email-masked]>
To: "Peter Buckley" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 4 Oct 2001 18:06:05 +0100

I unfortunately dont have the time to offer this myself at the moment as am
expecting a baby...;)....(anything to get out of a bit of coding)......
I think the apt-get influence should probably used for function rather than
name as it could be misleading without a full implementation......
Perhaps that is something I could think about after the baby has popped
out.....but would be happy if someone else wanted to take up the task.....

CraigT

----- Original Message -----
From: "Peter Buckley" <[email-masked]>
To: "C" <[email-masked]>
Cc: <[email-masked]>
Sent: Thursday, October 04, 2001 5:41 PM
Subject: Re: offering a patch- was [Setup feature query/suggestion!]

> Craig-
>
> Sounds like a neat feature. Do you plan to submit a
> patch to add this functionality?
>
> Rest of the list-
>
> Is this something that would be appropriate for
> setup.exe to do, or should it be a separate package?
> Should it be a gui, or a command line thing? I'm sure
> I could write a bash script or makefile to do this.
> Are there those on the list who would help me out by
> providing suggestions on the logic that I should use?
>
> I can envision a command like-
>
> apt-get clean /cygdrive/c/cygwin
>
> And the script would look in /cygdrive/c/cygwin
> for a "latest" and "contrib" directory, and then
> go through each package and rm the old ones. But
> rather than compare modification times or version
> numbers in the filenames, is there a sure way to
> make sure we are only removing the packages that are
> older than what is installed- maybe parsing through
> cygcheck output?
>
> -Peter
>
> C wrote:
> >
> > Dont know if this is the right place to send too...;)
> >
> > I have been using cygwin for quite a while now.....and update things
quite
> > regularly.....I have a vast amount of compressed packages in my /pkg
> > directory.....
> >
> > I am not really fussed about keeping them....and only really in a lots
of
> > cases want to keep the current installed package.....and so....a method
of
> > removing all but the installed packages.....or all installed would be
> > great....and definitely save time or disk space.....dont know if this
can be
> > done.....or is done....or if this is the forum to suggest this to.....
> >
> > for those familiar with debian...
> > apt-get autoclean
> > apt-get clean
> >
> > is the functionality that i am after.......
> >
> > Thanks for reading
> > CraigT
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
>
> --
> Your mouse has moved.
> Windows NT must be restarted for the change to take effect.
> Reboot now?  [OK]
>
> --

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/